<?php

namespace App\Entities\Customer;

use App\Entities\CommonEntity;

abstract class CustomerEntity extends CommonEntity
{
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }

    final public function getClientInfoUID(): int
    {
        return intval($this->attributes['clientinfo_uid']);
    }
}
